跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
ai_optimization
/
chat_gpt
/
llm_scraper
/
live
/
html
实时 ChatGPT LLM 抓取工具 API HTML
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/live/html \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "force_web_search": true,
  "expand_citations": true,
  "tag": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/live/html"

payload = {
"keyword": "<string>",
"location_name": "<string>",
"location_code": 123,
"language_name": "<string>",
"language_code": "<string>",
"force_web_search": True,
"expand_citations": True,
"tag": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '<string>',
location_name: '<string>',
location_code: 123,
language_name: '<string>',
language_code: '<string>',
force_web_search: true,
expand_citations: true,
tag: '<string>'
})
};

fetch('https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/live/html', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.keyword": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.datetime": "<string>",
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.page": 123,
  "tasks.result.items.date": "<string>",
  "tasks.result.items.html": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
keyword
string
必填

keyword 必填字段。您可以在 keyword 字段中指定最多 2000 个字符。所有 %## 都将被解码(加号字符“+”将被解码为空格字符)。如果需要在关键词中使用“%”字符,请将其指定为“%25”;如果需要在关键词中使用“+”字符,请将其指定为“%2B”。有关 DataForSEO API 中 keyword 和 keywords 字段的规则与限制的更多信息,请参阅此帮助中心文章

location_name
string
必填

搜索引擎位置的完整名称;如果未指定 location_code,则为必填字段;如果使用此字段,则无需指定 location_code;您可以通过向 https://api.dataforseo.com/v3/ai_optimization/{{low_se_name}}/locations 单独发出请求,获取搜索引擎可用位置及其 location_name 的列表;示例:United States

location_code
integer
必填

搜索引擎位置代码。如果未指定 location_name,则为必填字段。如果使用此字段,则无需指定 location_name。您可以通过向 https://api.dataforseo.com/v3/ai_optimization/{{low_se_name}}/{{low_se_type}}/locations 单独发送请求,获取包含 location_code 的搜索引擎可用位置列表。示例:2840

language_name
string
必填

搜索引擎语言的完整名称。如果未指定 language_code,则为必填字段。如果使用此字段,则无需指定 language_code。可通过向 https://api.dataforseo.com/v3/ai_optimization/{{low_se_name}}/{{low_se_type}}/languages 单独发送请求,获取搜索引擎的可用语言及其 language_name。示例:English

language_code
string
必填

搜索引擎语言代码。如果未指定 language_name,则此字段为必填字段。如果使用此字段,则无需指定 language_name。您可以单独向 https://api.dataforseo.com/v3/ai_optimization/{{low_se_name}}/{{low_se_type}}/languages 发出请求,以获取搜索引擎可用语言及其 language_code_ 的列表。示例:enn

强制 AI 智能体使用网页搜索 可选字段 启用后,将强制 AI 模型访问并引用当前网页信息;默认值:false;注意:即使将该参数设置为 true,也不能保证响应中会引用网页来源

expand_citations
boolean

在 HTML 结果中返回展开的引用栏;可选字段;要启用此参数,还必须启用 force_web_search;启用后,端点将返回展开引用栏中的 HTML 数据;默认值:false

tag
string

用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配;您将在响应的 data 对象中找到指定的 tag 值

响应

成功响应

version
string

API 的当前版本

status_code
integer

通用状态码;您可以在此处查看完整的响应码列表。注意:我们强烈建议设计必要的系统来处理相关异常或错误情况

status_message
string

常规信息消息;可在此处查看常规信息消息的完整列表

time
string

执行时间(秒)

cost
number

任务总成本(美元)

tasks_count
integer

tasks 数组中的任务数量

tasks_error
integer

返回错误的 tasks 数组中的任务数量

tasks
string[]

任务数组

tasks.id
string

任务标识符,系统中采用 UUID 格式的唯一任务标识符

tasks.status_code
integer

DataForSEO 生成的任务状态码;范围为:10000-60000;完整响应代码列表可在此处查看

tasks.status_message
string

任务的信息性消息,你可以在此处查看通用信息性消息的完整列表

tasks.time
string

执行时间(秒)

tasks.cost
number

任务成本(美元)

tasks.result_count
integer

结果数组中的元素数量

tasks.path
string[]

URL 路径

tasks.data
object

包含您在 POST 请求中指定的相同参数

tasks.result
string[]

结果数组

tasks.result.keyword
string

在 POST 数组中接收的 keyword 将在解码 %## 后返回(加号字符“+”将被解码为空格字符)

tasks.result.location_code
integer

POST 数组中的位置代码

tasks.result.language_code
string

POST 数组中的语言代码

tasks.result.datetime
string

以 UTC 格式接收结果的日期和时间:“yyyy-mm-dd hh-mm-ss +00:00”,示例:2019-11-15 12:57:46 +00:00

tasks.result.items_count
integer

items 数组中返回的结果数量

tasks.result.items
string[]

找到的搜索结果元素数量

tasks.result.items.page
integer

返回的 HTML 页面的序号

tasks.result.items.date
string

扫描 HTML 页面的日期和时间,格式:“year-month-date:minutes:UTC_difference_hours:UTC_difference_minutes”,示例:2019-11-15 12:57:46 +00:00

tasks.result.items.html
string

HTML 页面